Bug 1321893 (CVE-2016-3074) - CVE-2016-3074 php: Signedness vulnerability causing heap overflow in libgd
Summary: CVE-2016-3074 php: Signedness vulnerability causing heap overflow in libgd
Keywords:
Status: NEW
Alias: CVE-2016-3074
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1329563 1329564
Blocks: 1321897
TreeView+ depends on / blocked
 
Reported: 2016-03-29 10:42 UTC by Adam Mariš
Modified: 2020-03-11 15:04 UTC (History)
16 users (show)

Fixed In Version: php 5.5.35, php 5.6.21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2016:2750 normal SHIPPED_LIVE Moderate: rh-php56 security, bug fix, and enhancement update 2016-11-15 16:40:02 UTC

Description Adam Mariš 2016-03-29 10:42:54 UTC
A signedness vulnerability was found in libgd 2.1.1 which may result into heap overflow when processing maliciously crafted .gd2 files.

Comment 1 Adam Mariš 2016-03-29 10:43:06 UTC
Acknowledgments:

Name: Hans Jerry Illikainen

Comment 7 Andrej Nemec 2016-04-22 09:01:00 UTC
Created gd tracking bugs for this issue:

Affects: fedora-all [bug 1329564]

Comment 8 Andrej Nemec 2016-04-22 09:01:08 UTC
Created php tracking bugs for this issue:

Affects: fedora-all [bug 1329563]

Comment 9 Andrej Nemec 2016-04-22 09:01:36 UTC
Public via:

http://seclists.org/oss-sec/2016/q2/128

Comment 10 Fedora Update System 2016-04-30 00:23:46 UTC
gd-2.1.1-5.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2016-05-07 11:46:43 UTC
gd-2.1.1-7.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2016-05-16 14:55:03 UTC
gd-2.1.1-3.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 errata-xmlrpc 2016-11-15 11:50:00 UTC
This issue has been addressed in the following products:

  Red Hat Software Collections for Red Hat Enterprise Linux 6
  Red Hat Software Collections for Red Hat Enterprise Linux 6.7 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7
  Red Hat Software Collections for Red Hat Enterprise Linux 7.2 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7.3 EUS

Via RHSA-2016:2750 https://rhn.redhat.com/errata/RHSA-2016-2750.html


Note You need to log in before you can comment on or make changes to this bug.